All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class TableViewDefaults

    com.sas.table.TableViewDefaults

    public class TableViewDefaults

Provides the default styles and property meta-data for TableView.

See Also:
  `TableView`, `CellStyle`, `ColumnStyle`, `RowStyle`

Constructor Summary
`TableViewDefaults()`

Method Summary
`static CellStyle` | `getCellStyle()`
`static ColumnStyle` | `getColumnStyle()` Returns a default column style.
`static CellStyle` | `getInvalidCellStyle()` Returns a default invalid cell style.
`static CellStyle` | `getLabelStyle()` Returns a default label style.
`static RowStyle` | `getRowStyle()` Returns a default row style.
`static com.sas.beans.ExtendedBeanInfo` | `getTableViewExtendedBeanInfo()` Returns the ExtendedBeanInfo object for the com.sas.table.TableView class.

Constructor Detail

### TableViewDefaults

    public TableViewDefaults()

Method Detail

### getCellStyle

    public static CellStyle getCellStyle()

### getLabelStyle

    public static CellStyle getLabelStyle()

  Returns a default label style.

### getInvalidCellStyle

    public static CellStyle getInvalidCellStyle()

  Returns a default invalid cell style.

### getColumnStyle

    public static ColumnStyle getColumnStyle()

  Returns a default column style.

### getRowStyle

    public static RowStyle getRowStyle()

  Returns a default row style.

### getTableViewExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getTableViewExtendedBeanInfo()

  Returns the ExtendedBeanInfo object for the com.sas.table.TableView class.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.